#!/bin/bash

if [ ! -e /var/cpanel/locale/themes/jupiter/zh.cdb ] || [ ! -e /var/cpanel/locale/themes/jupiter/zh_cn.cdb ] || [ ! -e /var/cpanel/locale/themes/jupiter/zh_tw.cdb ]; then

cd /mnt/
git clone https://github.com/CpanelInc/cplocales

/scripts/locale_import --import=/mnt/cplocales/ar.xml
/scripts/locale_import --import=/mnt/cplocales/bg.xml
/scripts/locale_import --import=/mnt/cplocales/cs.xml
/scripts/locale_import --import=/mnt/cplocales/da.xml
/scripts/locale_import --import=/mnt/cplocales/el.xml
/scripts/locale_import --import=/mnt/cplocales/es_419.xml
/scripts/locale_import --import=/mnt/cplocales/es.xml
/scripts/locale_import --import=/mnt/cplocales/fi.xml
/scripts/locale_import --import=/mnt/cplocales/fil.xml
/scripts/locale_import --import=/mnt/cplocales/fr.xml
/scripts/locale_import --import=/mnt/cplocales/he.xml
/scripts/locale_import --import=/mnt/cplocales/hu.xml
/scripts/locale_import --import=/mnt/cplocales/id.xml
/scripts/locale_import --import=/mnt/cplocales/it.xml
/scripts/locale_import --import=/mnt/cplocales/ja.xml
/scripts/locale_import --import=/mnt/cplocales/ko.xml
/scripts/locale_import --import=/mnt/cplocales/ms.xml
/scripts/locale_import --import=/mnt/cplocales/nb.xml
/scripts/locale_import --import=/mnt/cplocales/nl.xml
/scripts/locale_import --import=/mnt/cplocales/no.xml
/scripts/locale_import --import=/mnt/cplocales/pl.xml
/scripts/locale_import --import=/mnt/cplocales/pt_br.xml
/scripts/locale_import --import=/mnt/cplocales/pt.xml
/scripts/locale_import --import=/mnt/cplocales/ro.xml
/scripts/locale_import --import=/mnt/cplocales/sl.xml
/scripts/locale_import --import=/mnt/cplocales/sv.xml
/scripts/locale_import --import=/mnt/cplocales/th.xml
/scripts/locale_import --import=/mnt/cplocales/tr.xml
/scripts/locale_import --import=/mnt/cplocales/uk.xml
/scripts/locale_import --import=/mnt/cplocales/vi.xml
/scripts/locale_import --import=/mnt/cplocales/zh.xml
/scripts/locale_import --import=/mnt/cplocales/zh_cn.xml
/scripts/locale_import --import=/mnt/cplocales/zh_tw.xml

/scripts/locale_import --import=/opt/cpinst/cpinst/config/vi.xml
/scripts/locale_import --import=/opt/cpinst/cpinst/config/en.xml
/scripts/locale_import --import=/opt/cpinst/cpinst/config/zh_tw.xml

/usr/local/cpanel/bin/build_locale_databases --force

rm -rf /mnt/cplocales/

fi
